<?php
define('PROTECTOR', 1);


include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
$textl='Лавка Алхимии';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

echo'Элексиры - это незаменимая вещь в бою. В лавке алхимии их можно купить в любое время!<br>Элексиры «HP» восстанавливают здоровье. «MP» - Энергию.';

if(isset($_GET['sell'])){
$id=htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `shopelexirs` WHERE `id`='$id'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, такой вещи нет!';
include($path.'files/down.php');exit;
}
$mag = mysql_fetch_array($req);
$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);
if($dom['white']>$dom['black']){
$liders='white';
}elseif($dom['black']>$dom['white']){
$liders='black';}else{
$liders='not';}
if($udata['storona']==$liders){
$mag['cena']=round($mag['cena']-(($mag[cena]/100)*15));
}

$nmoney=$udata['money']-($mag['cena']*$_POST['kol']);

if($nmoney<0){
echo'Нехватает монет!';
include($path.'files/down.php');exit;
}
if(empty($_POST['kol'])){
echo'<form action="alhimiya.php?sell&id='.$id.'" method="POST"><b>Сколько?</b><br><input class="input" name="kol"  type="text"/><br/><input type="submit" value="Продолжить"/></form>';}else{
$req1 = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' AND `lat_name` = '$mag[lat_name]'");
$res = mysql_fetch_array($req1);
$avto1=mysql_num_rows($req1);
if($avto1==0){
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$mag[name]',
        `lat_name` = '$mag[lat_name]',
        `tip` = '$mag[tip]',
        `what` = '$mag[what]',
        `give` = '$mag[give]',
        `kol` = '$_POST[kol]',
        `cena` = '$mag[cena]'");
        
}else{
$nk=$res['kol']+$_POST['kol'];
mysql_query("UPDATE `res` SET `kol` = '$nk' WHERE `usr` = '$log' AND `lat_name` = '$mag[lat_name]'");
}
mysql_query("UPDATE `users` SET `money` = '$nmoney' WHERE `usr` = '$log'");
$cena=$mag['cena']*$_POST['kol'];
echo'Вещь '.$mag['name'].' куплена и помещена в инвентарь!<br>Монет потрачено: '.$cena.'<br>Монет осталось: '.$nmoney.'<br>';
}
}

$req = mysql_query("SELECT * FROM `shopelexirs` WHERE `tip` = 'elexir' ORDER BY `give` ASC");
$avto=mysql_num_rows($req);
While($mag = mysql_fetch_array($req)){
echo'<img src="pic/main/'.$mag['what'].'e.png" alt="*"><a href="alhimiya.php?mod=info&id='.$mag['id'].'">'.$mag['name'].'</a><img src="pic/bazar.gif" alt="*"/>'.$mag['cena'].'<a href="alhimiya.php?sell&id='.$mag['id'].'">купить</a><br>';
}
echo'<a href="javascript:history.go(-1)">Назад</a>';

include($path.'files/down.php');
?>